# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name: nagios-plugins-pseudonymity

Version: 1.0.0
Release: 1%{?dist}
Summary: Nagios plugins for EMI Pseudonymity


License: ASL 2.0
Group: System Environment/Libraries
URL: https://twiki.cern.ch/twiki/bin/view/EMI/EMIPseudonymityDocumentation

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: python

%description
Nagios plugins for the EMI Pseudonymity Service

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_libexecdir}/grid-monitoring/probes/%{name}
%{_libexecdir}/grid-monitoring/probes/%{name}/nagios-plugins-pseudonymity.memory
%{_libexecdir}/grid-monitoring/probes/%{name}/nagios-plugins-pseudonymity.status

%dir %{_libexecdir}/grid-monitoring/probes/%{name}/framework
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/__init__.py
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/AbstractProbe.py
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/HTTPSHandler.py
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/MemoryProbe.py
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/Probe.py
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/StatusProbe.py
%{_libexecdir}/grid-monitoring/probes/%{name}/framework/Version.py

%dir /var/lib/grid-monitoring/%{name}

%doc LICENSE COPYRIGHT README.md CHANGELOG

%changelog
* Mon Feb 25 2013 Henri Mikkonen <henri.mikkonen@hip.fi> 1.0.0-1
- Initial Pseudonymity Nagios probes for EMI-3.
